<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="tabpanel.xsl"/>
<xsl:include href="tabpanel_bottom.xsl"/> 

<xsl:include href="gui.xsl"/>
<xsl:param name="language" select="'en_US'"/>
<xsl:param name="browser" select="'MSIE'"/>
<xsl:param name="baseURL" select="''"/>
<xsl:param name="title_sitebuilder" select="''"/>
<xsl:param name="baseURL_SUFFIX" select="''"/>
<xsl:variable name="sb_skin" select="/*/SKIN"/>
<xsl:param name="systemLOGO" select="''"/>
<xsl:param name="heightLOGO" select="''"/>
<xsl:param name="widthLOGO" select="''"/>
<xsl:param name="sid" select="'xxxxxx'"/>
<xsl:param name="admincp" select="'0'"/>
<xsl:include href="common.xsl"/>
<xsl:include href="pagesets.xsl"/>
<xsl:include href="categories.xsl"/>


<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>
<xsl:template match="/">
<xsl:value-of select="$html4.doctype" disable-output-escaping="yes"/>
<html>
<head>

<xsl:choose>
<xsl:when test="$title_sitebuilder!=''">
<title><xsl:value-of select="$title_sitebuilder" disable-output-escaping="yes"/></title>
</xsl:when>

<xsl:otherwise>
<title>Sitebuilder Admin</title>
</xsl:otherwise>
</xsl:choose>


<style>
.hidden_req {visibility: hidden;}
.visible_req {visibility: visible;}
</style>
<xsl:call-template name="style-css"/>
<script type='text/javascript'  language='javascript' src='{$baseURL}/js/wizard.js'></script>
<script type='text/javascript'  language='javascript' src='{$baseURL}/js/validator.js'></script>
<script type="text/javascript" language="javascript" src='{$baseURL}/js/submit_functions.js'></script>
<script type="text/javascript" language="javascript">
DEMO_MODE = <xsl:choose><xsl:when test="/SITEBUILDER-PAGE/COMMON-AREA/DEMO = 'true'">true</xsl:when><xsl:otherwise>false</xsl:otherwise></xsl:choose>;
MSG_DEMO  = '<xsl:value-of select="/SITEBUILDER-PAGE/COMMON-AREA/LOCALE/demo_mode"/>';
MSG_WAIT_MESSAGE = '<xsl:value-of select="/SITEBUILDER-PAGE/COMMON-AREA/LOCALE/msg_wait"/>';
</script>
<script type="text/javascript" language="javascript">
<xsl:comment>
var LOCALE_CONFIRMATION_APPLY_CHANGES = '<xsl:value-of select="//LOCALIZE/CONFIRMATION_APPLY_CHANGES"/>';
var LOCALE_APPLY_CHANGES_YOURSELF = '<xsl:value-of select="//LOCALIZE/APPLY_CHANGES_YOURSELF"/>';
var __sid = '<xsl:value-of select="$sid"/>';
var __base__URL = '<xsl:value-of select="$baseURL"/>';
var __base__URL_SUFFIX = '<xsl:value-of select="$baseURL_SUFFIX"/>';
var __sb_skin = '<xsl:value-of select="$sb_skin"/>';
//</xsl:comment>
</script>
<script type="text/javascript" language="javascript" src='{$baseURL}/js/common.js'></script>
<script type="text/javascript" language="javascript" src='{$baseURL}/js/subform.js'></script>
</head>

<body onLoad="dc(0);" bgcolor="white" onBeforeUnLoad="dc(1);">
	<xsl:attribute name="onload">dc(0);initAllSubforms();sbPageLoaded = true;<xsl:if test="//JAVA"><xsl:value-of select="//JAVA"/></xsl:if><xsl:if test="//JAVA_FI"><xsl:value-of select="//JAVA_FI"/></xsl:if></xsl:attribute>
	<script language="JavaScript" type="text/javascript">
		<xsl:comment>//
			var sbPageLoaded = false;
		//</xsl:comment>
	</script>
	<xsl:call-template name="LOADER"/>
	<xsl:call-template name="ROOT-LAYOUT"/>
</body>
</html>
</xsl:template>
<!--
////
-->

<xsl:template match="MESSAGE">
<h5 style="color:red"><xsl:value-of select="@TITLE"/></h5>
<xsl:apply-templates select="TEXT" mode="MESSAGE"/>
</xsl:template>

<xsl:template match="TEXT" mode="MESSAGE">
<br/>&#160;&#160;&#160;<span style="color:green"><xsl:value-of select="." disable-output-escaping="yes"/></span>
</xsl:template>

<xsl:template match="PATH-AREA">
<tr><td width="100%">
<table id="pathArea" border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td id="path" width="99%"><xsl:apply-templates select="PATHBAR"/></td>
</tr>
</table>
</td></tr>
</xsl:template>

<xsl:template match="ADMIN-TOPIC">
<tr><td style="padding-top: 5px; padding-left: 5px; padding-right: 5px; padding-bottom: 5px; ">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td colspan="3"><xsl:apply-templates select="GUI-CONTROL[@MODE='IMAGE-LIST']" mode="navigation"/></td>
  </tr>
  <tr>
    <td height="11" colspan="3" background="{$baseURL}/skins/{$sb_skin}/images/bb.gif"></td>
  </tr>
</table>
</td></tr>
</xsl:template>

<xsl:template match="HOME-PAGE">
	<tr>
	<td width="100%" valign="top">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td width="10"><img src="{$baseURL}/skins/{$sb_skin}/images/arrow_right_black.gif" /></td>
			<td style="padding-left: 5px;">
				<b>
				<font style="color: red; font-family: Verdana; font-size: 12px;"><xsl:value-of select="@CAPTION"/></font></b>
			</td>
			<td align="right">
				<a href="#">
					<xsl:attribute name="onclick">javascript:navigation('<xsl:value-of select="@TOMODE"/>', '<xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@LINK"/>','<xsl:value-of select="@FROMMODE"/>');</xsl:attribute>
					<img border="0" src="/images/admin/up.gif" style="padding-bottom: 2px;">
						<xsl:attribute name="alt"><xsl:value-of select="@ALT"/></xsl:attribute>
					</img>
				</a>
			</td>
		</tr>
		<tr>
			<td colspan="3" bgcolor="#E3E3E3" height="1">
				<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="1" border="0"/>
			</td>
		</tr>
		<tr>
			<td colspan="3" height="10">
				<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10" border="0"/>  
			</td>
		</tr>
	</table>
	</td>
	</tr>

</xsl:template>
<!--
////
-->
<xsl:template name="PAGE-CONTENT">
	<xsl:apply-templates select="CONTENT-AREA" mode="admin"/>
</xsl:template>

<xsl:template name="BTN-MENU-CONTENT">
	<td valign="top" width='135' class="SB_Style_pcBG" align='center'>
		<div style="height:3px;"><spacer height="3"/></div>
			<xsl:apply-templates select="BTN-MENU"/>
	</td>
</xsl:template>

<xsl:template match="CONTENT-AREA"  mode="admin">
	<table width="100%" border="0" cellspacing="0" cellpadding="10" style="height: 100%;">
		<xsl:if test="BTN-MENU">
			<xsl:attribute name="cellpadding">0</xsl:attribute>
		</xsl:if>
		<tr> 
			<xsl:if test="BTN-MENU">
				<xsl:call-template name="BTN-MENU-CONTENT"/>
			</xsl:if>
			<td valign="top">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
					<xsl:apply-templates select="HOME-PAGE"/>
					<xsl:apply-templates select="ADMIN-TOPIC"/>
				</table>
				<xsl:apply-templates select="GUI-TABPANEL|GUI-LIST|GUI-FORM|FORM|TABPANEL|PAGE-SETS|USER-PAGE|SKINS-PAGE|LANGS-PAGE|MODULES-PAGE|CATEGORIES|FTPHOST-PAGE|RESELLERS-PAGE|SITES-PAGE|SETTINGS-FORM|AUTOUPDATE-PAGE"/>
			</td>
		</tr>
	</table>

<!--
	<xsl:apply-templates select="PATH-AREA"/>
	<table width="100%" border="1" cellspacing="0" cellpadding="10" style="height: 100%;">
		<xsl:if test="BTN-MENU">
			<xsl:attribute name="cellpadding">0</xsl:attribute>
		</xsl:if>
		<tr>
			<td valign="top">
				<table width="100%" border="0" cellspacing="0" cellpadding="0" style="height: 100%;">
					<xsl:apply-templates />
				</table>
			</td>
		</tr>
	</table>
-->	
	
</xsl:template>


<!--
/////
-->
<xsl:template match="PATH">
<!-- no op -->
</xsl:template>
<!--
/////
-->
<!--
/////
-->
<xsl:template match="MODULECP">
<span id="modulecp" height="0" width="0"></span>
</xsl:template>
<!--
/////
-->

<xsl:template match="NOTIFY-TOPIC">
<xsl:call-template name="TOPIC-TITLE">
<xsl:with-param name="TITLE"><xsl:apply-templates select="TITLE"/></xsl:with-param>
</xsl:call-template>
<xsl:for-each select="MESSAGE">
<p class ="content"><xsl:value-of select="."/></p>
</xsl:for-each>
</xsl:template>
<!--
/////
-->
<xsl:template match="SYSINFO-TOPIC">
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="20" border="0"/>
<xsl:call-template name="TOPIC-TITLE">
<xsl:with-param name="TITLE"><xsl:apply-templates select="TITLE"/></xsl:with-param>
</xsl:call-template>
<table border="0" cellpadding="4" cellspacing="0" width="100%">
<xsl:for-each select="ITEM">
<tr>
<td class="topic-item">&#160;&#160;-&#160;<xsl:value-of select="."/></td>
</tr>
</xsl:for-each>
</table>
</xsl:template>
<!--
/////
-->
<xsl:template match="BROWSE-FILE-USER">
<form ENCTYPE="multipart/form-data" name="sb_browse_file_form" method="post" action="{$baseURL}{$baseURL_SUFFIX}{@ACTION}">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td><table cellspacing="0" cellpadding="0"  width="">
<tr>
<td valign="middle" class="SB_Style_formfield"><input type="file"  size="65" id="sb_path_update_file" name="sb_path_update_file">
<xsl:attribute name="value"><xsl:value-of select="BUTTON[@NAME='sb_load_file']/@VALUE"/></xsl:attribute>
</input></td>
<td valign="middle" align="left" style="padding-left:10px;">
<xsl:apply-templates select="BUTTON"/>
</td>
</tr>
</table></td>
</tr>
</table>
<input type="hidden" id="sb_no_save" name="sb_no_save" value="1"/>
<xsl:apply-templates select="HIDDEN"/>
</form>
</xsl:template>
<!--
/////
-->
<xsl:template match="ADD-MODULE-USER">
<form name="sb_add_file_form" method="post">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
<!--<fieldset style="float: center; margin-left: 5px;width:500px"><legend></legend>-->
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td valign="middle">
<table cellspacing="0" cellpadding="0px" border="0" width="100%">
<tr>
<td class="SB_Style_formfieldcolorfirst">
<table cellspacing="0" cellpadding="5px" border="0" width="100%">
<tr>
<td align="center" style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="TITLE"/></b>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldnocolor">
<table cellspacing="0" cellpadding="10px" border="0" width="100%">
<tr>
<td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b>
</td>
<td width="80%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldcolor">
<table cellspacing="0" cellpadding="10px" border="0" width="100%">
<tr>
<td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="VERSION"/>:</b>
</td>
<td width="80%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVAL"/>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldnocolor">
<table cellspacing="0" cellpadding="10px" border="0" width="100%">
<tr>
<td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="TYPE"/>:</b>
</td>
<td width="80%" class="SB_Style_formtitle"><xsl:value-of select="TYPEVAL"/>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldcolor">
<table cellspacing="0" cellpadding="10px" border="0" width="100%">
<tr>
<td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="CAPTION"/>:</b>
</td>
<td width="80%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVAL"/>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td valign="bottom" align="right" style="padding-top:10px; padding-bottom:10px;">
<script type="text/javascript" language="javascript">document.write('<xsl:value-of select="BUTB2"/>');</script>
</td>
</tr>
</table>
</td>
</tr>
</table>
<input type="hidden" name="sb_path_update_file1"><xsl:attribute name="value"><xsl:value-of select="PATH"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_id"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_type"><xsl:attribute name="value"><xsl:value-of select="TYPEVAL"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_label"><xsl:attribute name="value"><xsl:value-of select="LABELVAL"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_caption"><xsl:attribute name="value"><xsl:value-of select="CAPTIONVAL"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_version"><xsl:attribute name="value"><xsl:value-of select="VERSIONVAL"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_parent"><xsl:attribute name="value"><xsl:value-of select="PARENTVAL"/></xsl:attribute></input>
</form>
</xsl:template>
<!--
/////
-->
<xsl:template match="UPDATE-TEMPLATE-USER|UPDATE-SKIN-USER">
<form ENCTYPE="multipart/form-data" name="{@NAME}" method="post"  ONSUBMIT="return false;">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td valign="middle">
<table cellspacing="0" cellpadding="0px" border="0" width="100%">

<tr>

<td class="SB_Style_formfieldcolorfirst" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="16%" class="SB_Style_formtitle">&#160;
</td>
<td  width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="CURRENT"/></b>
</td>
<td width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="NEW"/></b>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldnocolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td  style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b>
</td>
<td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/>
</td>
<td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVALNEW"/>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldcolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="VERSION"/>:</b>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVAL"/>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVALNEW"/>
</td>
</tr>
</table>
</td>
</tr>
<!-- // -->
<tr>
<td class="SB_Style_formfieldnocolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="TEMPALTE-CATEGORIES/TITLE"/>:</b>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="TEMPALTE-CATEGORIES/CURRENT-CATEGORY"/>
</td>
<td width="42%" class="SB_Style_formtitle" >
<select name="{TEMPALTE-CATEGORIES/@NAME}" class="SB_Style_formtitle">
<xsl:for-each select="TEMPALTE-CATEGORIES/CT">
<option value="{@VALUE}" class="SB_Style_formfield">
<xsl:if test="@SELECTED='1'">
<xsl:attribute name="selected">selected</xsl:attribute>
</xsl:if>
<xsl:value-of select="."/>
</option>
</xsl:for-each>
</select>
</td>
</tr>
</table>
</td>
</tr>
<!-- // -->
<tr>
<td class="SB_Style_formfieldcolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="CAPTION"/>:</b>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVAL"/>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVALNEW"/>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldnocolor">
&#160;
</td>
</tr>
<tr class="SB_Style_EEEEEE">
<td class="SB_Style_formfieldnocolor" style="padding:2px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td  style="padding-left:12px;" valign="middle" class="SB_Style_formtitle"><b><xsl:value-of select="COLOR"/>:</b>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="58%">

<table cellspacing="0" cellpadding="2px" border="0" width="100%">
<xsl:for-each select="COLSH">
<tr>
<td >
<xsl:attribute name="class"><xsl:value-of select="@STYLE"/></xsl:attribute>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="28%" class="SB_Style_formtitle">&#160;
</td>
<td width="36%" class="SB_Style_formtitle"><xsl:value-of select="@ID"/>
</td>
<td width="36%" class="SB_Style_formtitle">(<xsl:value-of select="@CAPTION"/>)
</td>
</tr>
</table>
</td>
</tr>
</xsl:for-each>
</table>
</td>
<td width="42%">
<table cellspacing="0" cellpadding="2px" border="0" width="100%">

<xsl:for-each select="COLSHNEW">
<tr>
<td>
<xsl:attribute name="class"><xsl:value-of select="@STYLE"/></xsl:attribute>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="50%" class="SB_Style_formtitle"><xsl:value-of select="@ID"/>
</td>
<td width="50%" class="SB_Style_formtitle">(<xsl:value-of select="@CAPTION"/>)
</td>
</tr>
</table>
</td>
</tr>
</xsl:for-each>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr height="40px" class="SB_Style_formfieldcolor">
<td width="16%">&#160;</td>
<td width="42%" valign="middle" class="SB_Style_formtitle">
<input type="radio"  name="sb_id_select" id="sb_update" checked="checked" onclick="javascript:var el,el1,el4;el4=document.getElementById('sb_name1'); el=document.getElementById('sb_name');el1=document.getElementById('sb_id_chenged');el.style.display='none';el1.value='false';el.value=el4.value;"><xsl:value-of select="UPN"/></input>
</td>
<td width="42%" valign="middle" class="SB_Style_formtitle">
<table cellpadding="0" cellspacing="0">
<tr>
<td>
<input type="radio"  name="sb_id_select" id="sb_new" onclick="javascript:var el, el1; el=document.getElementById('sb_name');el1=document.getElementById('sb_id_chenged');el.style.display='';el1.value='true';"><xsl:value-of select="NEWN"/></input>
</td>
<td class="SB_Style_formfield">
&#160;<input type="text" style='display:none;' name="sb_temlates_id" id="sb_name"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
<tr><td align="right">
<xsl:apply-templates select="BUTTON"/>
</td></tr>
</table>
</td>
</tr>
</table>
<xsl:for-each select="COLSHS">
<input type="hidden" name="sb_all"><xsl:attribute name="value"><xsl:value-of select="@ID"/></xsl:attribute></input>
</xsl:for-each>
<input type="hidden" name="sb_id_chenged" id="sb_id_chenged" value="false"/>
<input type="hidden"  name="sb_temlates_id1" id="sb_name1"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
<xsl:apply-templates select="HIDDEN"/>
</form>
</xsl:template>
<!--
/////
-->
<xsl:template match="UPDATE-MODULE-USER">
<form ENCTYPE="multipart/form-data" name="{@NAME}" method="post">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td valign="middle">
<table cellspacing="0" cellpadding="0px" border="0" width="100%">

<tr>

<td class="SB_Style_formfieldcolorfirst" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="16%" class="SB_Style_formtitle">&#160;
</td>
<td  width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="CURRENT"/></b>
</td>
<td width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="NEW"/></b>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldnocolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td  style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b>
</td>
<td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/>
</td>
<td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVALNEW"/>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldcolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="VERSION"/>:</b>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVAL"/>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVALNEW"/>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldnocolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="TYPE"/>:</b>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="TYPEVAL"/>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="TYPEVALNEW"/>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="SB_Style_formfieldcolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="CAPTION"/>:</b>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVAL"/>
</td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVALNEW"/>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr height="40px">
<td width="100%"  valign="middle" align="right">
<script type="text/javascript" language="javascript">document.write('<xsl:value-of select="BUTB1"/>');</script>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
<input type="hidden" name="sb_path_update_file1"><xsl:attribute name="value"><xsl:value-of select="PATH"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_id"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_type"><xsl:attribute name="value"><xsl:value-of select="TYPEVALNEW"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_label"><xsl:attribute name="value"><xsl:value-of select="LABELVALNEW"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_caption"><xsl:attribute name="value"><xsl:value-of select="CAPTIONVALNEW"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_version"><xsl:attribute name="value"><xsl:value-of select="VERSIONVALNEW"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_parent"><xsl:attribute name="value"><xsl:value-of select="PARENTVALNEW"/></xsl:attribute></input>
<input type="hidden" name="sb_modules_update"><xsl:attribute name="value">1</xsl:attribute></input>
</form>
</xsl:template>
<!--
////
-->
<!--
/////
-->
<xsl:template match="UPDATE-LANG">
<form ENCTYPE="multipart/form-data" name="{@NAME}" method="post">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td valign="middle">
<table cellspacing="0" cellpadding="0px" border="0" width="100%">
<tr>
<td class="SB_Style_formfieldcolorfirst" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="16%" class="SB_Style_formtitle">&#160;</td>
<td  width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="CURRENT"/></b></td>
<td width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="NEW"/></b></td>
</tr>
</table>
</td>
</tr>

<tr>
<td class="SB_Style_formfieldnocolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td  style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b></td>
<td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/></td>
<td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVALNEW"/></td>
</tr>
</table>
</td>
</tr>

<tr>
<td class="SB_Style_formfieldcolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="VERSION"/>:</b></td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVAL"/></td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVALNEW"/></td>
</tr>
</table>
</td>
</tr>

<tr>
<td class="SB_Style_formfieldnocolor" style="padding:9px;">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="CAPTION"/>:</b></td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVAL"/></td>
<td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVALNEW"/></td>
</tr>
</table>
</td>
</tr>

<tr>
<td>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="58%">
<table cellspacing="0" cellpadding="2px" border="0" width="100%">
<xsl:for-each select="COLSH">
<tr>
<td >
<xsl:attribute name="class"><xsl:value-of select="@STYLE"/></xsl:attribute>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="28%" class="SB_Style_formtitle">&#160;</td>
<td width="36%" class="SB_Style_formtitle"><xsl:value-of select="@ID"/></td>
<td width="36%" class="SB_Style_formtitle">(<xsl:value-of select="@CAPTION"/>)</td>
</tr>
</table>
</td>
</tr>
</xsl:for-each>
</table>
</td>
<td width="42%">
<table cellspacing="0" cellpadding="2px" border="0" width="100%">
<xsl:for-each select="COLSHNEW">
<tr>
<td>
<xsl:attribute name="class"><xsl:value-of select="@STYLE"/></xsl:attribute>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="50%" class="SB_Style_formtitle"><xsl:value-of select="@ID"/></td>
<td width="50%" class="SB_Style_formtitle">(<xsl:value-of select="@CAPTION"/>)</td>
</tr>
</table>
</td>
</tr>
</xsl:for-each>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr height="40px">
<td width="100%"  valign="middle" align="right"><xsl:apply-templates select="BUTTON"/></td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
<input type="hidden" name="sb_path_update_file1"><xsl:attribute name="value"><xsl:value-of select="PATH"/></xsl:attribute></input>
<xsl:for-each select="COLSHS">
<input type="hidden" name="sb_all"><xsl:attribute name="value"><xsl:value-of select="@ID"/></xsl:attribute></input>
</xsl:for-each>
<input type="hidden" name="sb_id_chenged" id="sb_id_chenged" value="false"/>
<input type="hidden"  name="sb_temlates_id" id="sb_temlates_id" value="{IDVAL}"/>
</form>
</xsl:template>
<!--
////
-->
<xsl:template match="CONFIRM-DELETE-USER">
<form name="cc_delete_user" method="post">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
<xsl:apply-templates select="FIELD"/>
<table width="80%" cellspacing="0" cellpadding="0" border="0">
<tr>
<td colspan="2" align="middle" class="SB_Style_predefpages1">
<xsl:value-of select="TITLE"/><br/><br/>
</td>
</tr>
<tr>
<td colspan="2" align="left" class="SB_Style_predefpages1">
<ul>
<xsl:for-each select="USER-TO-DEL">
<li>
<xsl:value-of select="@NAME"/>
</li>
<xsl:apply-templates select="FIELD"/>
</xsl:for-each>
</ul>
</td>
</tr>
<tr align="middle">
<td>
<script type="text/javascript" language="javascript">document.write('<xsl:value-of select="BUT4"/>');</script>
<input type="hidden" name="cc_confirm_delete" value=""/>
</td>
</tr>
</table>
</form>
</xsl:template>
<!--
////
-->
<xsl:template match="EVENTS">
<form name="sb_cc_events" method="post">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
<xsl:apply-templates select="FIELD"/>
<table width="80%" cellspacing="0" cellpadding="0" border="0">
<tr class="SB_Style_CCCCCC">
<td align="middle"><xsl:value-of select="LEGEND/@ID"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@USERID"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@MODULE"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@TIME"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@EVENTTEXT"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@MARKREAD"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@DELETE"/></td>
</tr>
<xsl:for-each select="EVENT">
<tr>
<td align="middle"><xsl:value-of select="@ID"/></td>
<td align="middle"><xsl:value-of select="@USERID"/></td>
<td align="middle"><xsl:value-of select="@MODULE"/></td>
<td align="middle"><xsl:value-of select="@TIME"/></td>
<td align="middle"><xsl:value-of select="@EVENTTEXT"/></td>
<td align="middle"><xsl:apply-templates select="READFLAG" /></td>
<td align="middle"><xsl:apply-templates select="DELFLAG" /></td>
</tr>
</xsl:for-each>
<tr>
<td colspan="8" align="right">
<a href="#"><xsl:attribute name="onclick"><xsl:value-of select="BUTTON/@ONCLICK"/></xsl:attribute><input type="image" src="{$baseURL}/skins/{$sb_skin}/images/b_goempty.gif" alt="" border="0" align="middle"/></a>
<input type="hidden" name="sb_cc_read_msgs" value=""/>
</td>
</tr>
</table>
</form>
</xsl:template>
<!--
////
-->
<xsl:template match="MSG-PAGE">
<xsl:apply-templates select="NEW-MESSAGE"/>
<xsl:apply-templates select="EVENTS"/>
<xsl:apply-templates select="MESSAGE-LIST"/>
</xsl:template>
<!--
////
-->
<xsl:template match="NEW-MESSAGE">
<form name="sb_cc_msgs" method="post">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
<table width="100%" cellspacing="0" cellpadding="0">
<xsl:apply-templates select="FIELD"/>
<tr>
<td colspan="4" align="center">
<a href="#"><xsl:attribute name="onclick"><xsl:value-of select="BUTTON/@ONCLICK"/></xsl:attribute><input type="image" src="{$baseURL}/skins/{$sb_skin}/images/b_goempty.gif" alt="" border="0" align="middle"/></a>
<input type="hidden" name="sb_cc_read_msgs" value=""/>
</td>
</tr>
<xsl:apply-templates select="WARNING"/>
</table>
</form>
</xsl:template>
<!--
////
-->
<xsl:template match="NEW-MESSAGE/WARNING">
<tr>
<td width="100%" align="center" colspan="4"><font size="2" class="SB_Style_searchr_warning"><b><xsl:value-of select="."/></b></font></td>
</tr>
</xsl:template>
<!--
////
-->
<xsl:template match="MESSAGE-LIST">
<form name="sb_cc_msgs" method="post">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
<xsl:apply-templates select="FIELD"/>
<table width="100%" cellspacing="0" cellpadding="0" border="0">
<tr class="SB_Style_CCCCCC">
<td align="middle"><xsl:value-of select="LEGEND/@ID"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@FROM"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@MESSAGE"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@CONFIRM"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@MARKREAD"/></td>
<td align="middle"><xsl:value-of select="LEGEND/@DELETE"/></td>
</tr>
<xsl:for-each select="MESSAGE">
<tr>
<td align="middle"><xsl:value-of select="@ID"/></td>
<td align="middle"><xsl:value-of select="@NAME"/></td>
<td align="middle"><xsl:value-of select="@MESSAGE"/></td>
<td align="middle"><xsl:value-of select="@CONFIRM"/></td>
<td align="middle"><xsl:apply-templates select="READFLAG" /></td>
<td align="middle"><xsl:apply-templates select="DELFLAG" /></td>
</tr>
</xsl:for-each>
<tr>
<td colspan="8" align="right">
<a href="#"><xsl:attribute name="onclick"><xsl:value-of select="BUTTON/@ONCLICK"/></xsl:attribute><input type="image" src="{$baseURL}/skins/{$sb_skin}/images/b_goempty.gif" alt="" border="0" align="middle"/></a>
</td>
</tr>
</table>
</form>
</xsl:template>
<!--
////
-->
<xsl:template match="READFLAG|DELFLAG">
<xsl:call-template name="CHECKBOX"/>
</xsl:template>
<!--
////
-->
<xsl:template match="TEST">
<pre><xsl:copy-of select="."/></pre>
</xsl:template>
<!--
///////
-->
<xsl:template match="LOCALE" mode="settings-form">
<xsl:value-of select="@NAME"/>="<xsl:value-of select='@VALUE'/>";
</xsl:template>
<!--
////
-->
<xsl:template match="SETTINGS-FORM">
<form name="{@NAME}"  method="post" enctype="multipart/form-data">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
<xsl:if test="LOCALE">
<script type="text/javascript" language="javascript">
<xsl:comment><xsl:text>
</xsl:text><xsl:apply-templates select="LOCALE" mode="settings-form"/><xsl:text>
</xsl:text>//</xsl:comment><xsl:text>
</xsl:text></script>
</xsl:if>
<div id="pub_screen" width="100%" style="overflow-y:auto;overflow-x:auto;        overflow: hidden; overflow: scroll; overflow:auto;">
<!--<script type="text/javascript" language="javascript">
<xsl:comment>
photodiv = document.getElementById("pub_screen");
photodiv.style.height = document.body.scrollHeight-190;
</xsl:comment>
</script>-->
<table class="SB_DIALOG_FORM"  width='100%' cellspacing='0' cellpadding='0' border='0'>
<xsl:apply-templates select="SET-PUB-MAIL-FROM" />
<xsl:apply-templates select="SET-PUB-MAIL-SUBJ"/>
<xsl:apply-templates select="SET-PUB-MAIL-BODY"/>
<xsl:apply-templates select="SET-PUB-HELPMESSAGE"/>
<xsl:apply-templates select="SET-PUB-GUESTPROJ"/>
<xsl:apply-templates select="SET-PUB-GUESTPROJ-MEASURE"/>
<xsl:apply-templates select="SET-PUB-DOMAIN" />
<xsl:apply-templates select="SET-PUB-HOSTINGBANNER"/>
<xsl:apply-templates select="SET-PUB-TRIALMODE"/>
<xsl:apply-templates select="SET-PUB-HOSTING-BODY"/>
<xsl:apply-templates select="SET-CR-MAIL-FROM" />
<xsl:apply-templates select="SET-CR-MAIL-SUBJ"/>
<xsl:apply-templates select="SET-CR-MAIL-BODY"/>
<xsl:apply-templates select="SET-PUB-RESTOREMESSAGE"/>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr><td colspan="3"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10px'/></td></tr>
<tr>
<td width="100%" class="SB_Style_formtitle"><xsl:if test="REQ"><span class="SB_Style_AlertText">*&#160;</span><xsl:value-of select="REQ"/></xsl:if>&#160;</td>
<xsl:apply-templates select="BUTTON" mode="form"/>
<xsl:apply-templates select="HIDDEN"/>
</tr>
</table>
</div>
<input type="hidden" name="sb_changes" value="" />
<input type="hidden" name="sb_after_submit_url" value="" />
<input type="hidden" name="cc_set_button" value="" />
<!-- <input type="hidden" name="mode" value="settings" /> -->
</form>

</xsl:template>
<!--
////
-->
<xsl:template match="SET-PUB-GUESTPROJ">
<tr>
<td>
<script type='text/javascript'        language='javascript'>
<xsl:comment>
function validate() {
guestproj = document.getElementsByName("sb_publish_guestproj")[0];
if (guestproj)
{
var testval = parseInt(document.forms[0].sb_publish_guestproj.value);
if(!/^\d{1,3}$/.test(guestproj.value) || testval==0)
{
alert('<xsl:value-of select="../LEGEND/INVALIDDATA"/>'); 
document.forms[0].sb_publish_guestproj.focus();
return false;
}
else
{
document.forms[0].cc_set_button.value=1;
return true;
}
}
}
//</xsl:comment>
</script>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_publish_guestproj</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">1</xsl:with-param>
<xsl:with-param name="maxlength">3</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>
<!--
////
-->
<xsl:template match="SET-PUB-GUESTPROJ-MEASURE">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="name">sb_publish_guestproj_measure</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:copy-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
<xsl:with-param name="maxlength">3</xsl:with-param>
<xsl:with-param name="type">list</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>
<!--
////
-->

<xsl:template match="SET-PUB-HOSTINGBANNER">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_hosting_bannermess</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1</xsl:with-param>
<xsl:with-param name="textareamax">200</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
<xsl:with-param name="type">area</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>

<xsl:template match="SET-PUB-HOSTING-BODY">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_hosting_body</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
<xsl:with-param name="type">area</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>


<xsl:template match="SET-PUB-DOMAIN">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_domain</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">1</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>


<xsl:template match="SET-PUB-MAIL-FROM">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_mailfrom</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>

<xsl:template match="SET-CR-MAIL-FROM">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_create_mailfrom</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>

<!--
////
-->
<xsl:template match="SET-PUB-MAIL-SUBJ">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_mailsubj</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>


<xsl:template match="SET-CR-MAIL-SUBJ">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_create_mailsubj</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>

<xsl:template match="SET-CR-MAIL-BODY">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_create_mailbody</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
<xsl:with-param name="type">area</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>

<!--
////
-->
<xsl:template match="SET-PUB-MAIL-BODY">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_mailbody</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
<xsl:with-param name="type">area</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>
<!--
////
-->
<xsl:template match="SET-PUB-TRIALMODE">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_publish_trialmode</xsl:with-param>
<xsl:with-param name="name">sb_publish_trialmode</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="VALUE"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
<xsl:with-param name="type">check</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>
<!--
////
-->
<xsl:template match="SET-PUB-HELPMESSAGE">
<tr>
<td>
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">sb_publish_assist</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="HELP-CONTENT"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="CONTENT"/>
</xsl:with-param>
<xsl:with-param name="onchange">this.form.sb_changes.value=1;</xsl:with-param>
<xsl:with-param name="req">0</xsl:with-param>
<xsl:with-param name="type">area</xsl:with-param>
</xsl:call-template>
</td>
</tr>
</xsl:template>
<!--
////
-->
<xsl:template match="SET-PUB-RESTOREMESSAGE">
	<tr>
		<td>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" >
				<tr>
					<td valign="top" style="padding-right: 10px;" class="SB_Style_predefpages">
						<xsl:value-of select="CONTENT"/>
					</td>
				</tr>
				<tr>
					<td width='100%' height='10'>
						<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10" border="0"/>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</xsl:template>
<!--
////
-->
<xsl:template match="LICENSE-PAGE|SITE-PAGE|RESELLERS-PAGE|USER-PAGE|FTPHOST-PAGE|PAGE-SETS|SKINS-PAGE|LANGS-PAGE|MODULES-PAGE|CATEGORIES">
<xsl:apply-templates/>
</xsl:template>
<!--
///////
-->

<xsl:template match="NO-AUTHMOD">
<xsl:apply-templates select="ENTITYLIST"/>
<div style="width:1px; height:10px;"><spacer type="block" width="1" height="1"/></div>
<table cellspasing="0" cellpadding="0" border="0" width="100%"><tr><td width="100%">&#160;</td>
<td><xsl:apply-templates select="BUTTON"/></td></tr></table>
</xsl:template>

<xsl:template match="FORM-EXT-MOD">
<!--<form>
<xsl:attribute name="action"><xsl:value-of select="@ACTION"/></xsl:attribute>
<xsl:attribute name="name"><xsl:value-of select="@NAME"/></xsl:attribute>
</form>-->
<table border="0" width="100%" cellspacing="0" cellpadding="0"><tr><td style="padding-top: 10px;" class="SB_DIALOG_FORM">
<xsl:apply-templates select="HIDDEN"/>
<xsl:apply-templates select="FIELDS-HELP"/>
</td></tr></table>
</xsl:template>

<xsl:template match="FIELDS-HELP">
<xsl:call-template name="drawExtraField">
<xsl:with-param name="id">
<xsl:value-of select="@NAME"/>
</xsl:with-param>
<xsl:with-param name="titl">
<xsl:value-of select="@TITLE"/>
</xsl:with-param>
<xsl:with-param name="helpc">
<xsl:value-of select="@HELP"/>
</xsl:with-param>
<xsl:with-param name="cont">
<xsl:value-of select="@VALUE"/>
</xsl:with-param>
<xsl:with-param name="onchange"><xsl:value-of select="@ONCHANGE"/></xsl:with-param>
<xsl:with-param name="req">
<xsl:value-of select="@REQ"/>
</xsl:with-param>
</xsl:call-template>
</xsl:template>




<xsl:template match="LOGIN">
	<table class="SB_Style_logged_user_text" border="0" cellspacing="3" cellpadding="2">
	  <tr>
		<td class="SB_Style_logged_title"><xsl:value-of select="USERNAME/@TITLE"/></td>
		<td class="SB_Style_logged_user"><xsl:value-of select="USERNAME"/></td>
	  </tr>
	</table>
</xsl:template>

</xsl:stylesheet>
