<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- <xsl:include href="tabpanel.xsl"/> -->
<xsl:include href="gui.xsl"/>

<xsl:param name="language" select="'en_US'"/>
<xsl:param name="title_sitebuilder" select="''"/>
<xsl:param name="browser" select="'MSIE'"/>
<xsl:param name="baseURL" select="''"/>
<xsl:param name="SB_modules" select="''"/>
<xsl:param name="baseURL_SUFFIX" select="''"/>
<xsl:param name="trastedSite" select="''"/>
<xsl:param name="sb_langp" select="''"/>
<xsl:param name="systemLOGO" select="''"/>
<xsl:param name="heightLOGO" select="''"/>
<xsl:param name="widthLOGO" select="''"/>
<xsl:param name="sid" select="'xxxxxx'"/>
<xsl:variable name="sb_skin" select="/*/SKIN"/>
<xsl:param name="admincp" select="'0'"/>

<xsl:include href="common.xsl"/>
<xsl:include href="templates.xsl"/>
<xsl:include href="templates_new.xsl"/>
<xsl:include href="pages.xsl"/>
<xsl:include href="edit.xsl"/>
<xsl:include href="general.xsl"/>

<xsl:output method="html" indent="yes" encoding="utf-8"/>
<xsl:strip-space elements="*"/>

<xsl:template match="/">
<xsl:variable name="pageID" select="//CONTENT-AREA/@PAGEID"/>
<xsl:value-of select="$html4.doctype" disable-output-escaping="yes"/>
<html>
<head>

<xsl:choose>
<xsl:when test="$title_sitebuilder!=''">
<title><xsl:value-of select="$title_sitebuilder" disable-output-escaping="yes"/></title>
</xsl:when>

<xsl:otherwise>
<title>Sitebuilder</title>
</xsl:otherwise>
</xsl:choose>

<META Http-Equiv="Pragma" Content="no-cache"/>
<script type="text/javascript" language="javascript" src='{$baseURL}/js/common.js'></script>
<script type="text/javascript" language="javascript" src='{$baseURL}/js/validator.js'></script>
<script type="text/javascript" language="javascript" src='{$baseURL}/js/subform.js'></script>

<xsl:call-template name="style-css"/>
<script type='text/javascript' language='javascript'  src="{$baseURL}/js/wizard.js"></script>
<xsl:choose>
<xsl:when test="$pageID='general'">
<script type='text/javascript' language='javascript' src='{$baseURL}/js/general.js'></script>
</xsl:when>
<xsl:when test="$pageID='design'">
<script type='text/javascript' language='javascript' src='{$baseURL}/js/design.js'></script>
</xsl:when>
</xsl:choose>
<script	type="text/javascript" language="javascript" >
<xsl:comment>
var LOCALE_CONFIRMATION_APPLY_CHANGES = '<xsl:value-of select="//LOCALIZE/CONFIRMATION_APPLY_CHANGES"/>';
var LOCALE_NO_SAVE = '<xsl:value-of select="//LOCALIZE/LOCALE_NO_SAVE"/>';
var LOCALE_APPLY_CHANGES_YOURSELF = '<xsl:value-of select="//LOCALIZE/APPLY_CHANGES_YOURSELF"/>';
var __sid = '<xsl:value-of select="$sid"/>';
var __base__URL = '<xsl:value-of select="$baseURL"/>';
var __base__URL_SUFFIX = '<xsl:value-of select="$baseURL_SUFFIX"/>';
var __sb_skin = '<xsl:value-of select="$sb_skin"/>';
var __trastedSite = '<xsl:value-of select="$trastedSite"/>';
var __sb_lang = '<xsl:value-of select="$sb_langp"/>';
//</xsl:comment>
</script>
<xsl:if test="$pageID='edit' or $pageID='module'">
	<xsl:call-template name="HEAD-EDIT" />
</xsl:if>
</head>
<body id="wizbody" bgcolor="white" onBeforeUnLoad="dc(1);">
<xsl:attribute name="onload">dc(0);initAllSubforms();<xsl:if test="//JAVA"><xsl:value-of select="//JAVA"/></xsl:if><xsl:if test="//JAVA_FI"><xsl:value-of select="//JAVA_FI"/></xsl:if></xsl:attribute>
<xsl:if test="$pageID='edit'"><xsl:call-template name="FIRST-TAG-EDIT"/></xsl:if>
<xsl:if test="$pageID='design'"><xsl:attribute name="onresize">if (document.getElementById('resizable_div')) ResizeContentDiv(document.getElementById('resizable_div'));</xsl:attribute></xsl:if>
	<script language="JavaScript" type="text/javascript">
		<xsl:comment>//
			var sbPageLoaded = false;
		//</xsl:comment>
	</script>
	<xsl:call-template name="LOADER"/>
	<xsl:call-template name="ROOT-LAYOUT"/>
</body>
</html>
</xsl:template>
<!--

-->

<xsl:template match="CONTENT-AREA[@PAGEID='general']"> <!-- Extra -->
		<tr>
			<td valign="top" width="131" class="SB_Style_pcBG" >
				<xsl:apply-templates select="BTN-MENU"/>
				<br/>
			</td>
			<td bgcolor="white" width="100%" valign="top" style="padding: 10px;">
				<xsl:apply-templates select="CONTENT/Module" />
				<xsl:apply-templates select="CONTENT/GUI-FORM[@TYPE='extra_settings' or @TYPE='password_settings']"/>
				<xsl:if test='CONTENT/SITE-STATISTICS or CONTENT/SESUBMISSION-MODULE'>
					<form name="general" method="post" action="{$baseURL}/wizard/index.php">
						<xsl:apply-templates select="CONTENT/GUI-CONTROL[@MODE='HIDDEN']"/>
						<xsl:apply-templates select="CONTENT/SITE-STATISTICS" mode="general"/>
						<xsl:apply-templates select="CONTENT/SESUBMISSION-MODULE" mode="general"/>
					</form>
				</xsl:if>
			</td>
		</tr>
</xsl:template>


<xsl:template match="GUI-FORM[@TYPE='password_settings']">
   		<SCRIPT language="Javascript">
   			var pswdshort='<xsl:value-of select="*/CONTROL-DATA/ERROR1"/>';
   			var pswdnotmatch='<xsl:value-of select="*/CONTROL-DATA/ERROR2"/>';
   			var invalidpswd='<xsl:value-of select="*/CONTROL-DATA/ERROR3"/>';
   		</SCRIPT>
		<xsl:call-template name="GUI-FORM"/>
</xsl:template>



<xsl:template match="CONTENT-AREA[@PAGEID='publish']">
	<xsl:choose>
		<xsl:when test="/*/CONTENT-AREA/CONTENT/DEMO='true'">
			<table id="pageContent" border="0" cellpadding="5" cellspacing="0" width="100%">
				<tr>
					<td bgcolor="white" valign="middle" >
						<table width="100%" cellspacing="0" cellpadding="0" border='0'>
							<tr>
								<td align="center">
									<table border='0' cellspacing="0" cellpadding="0">
										<tr>
											<td width="70px" align="center">
												<img border="0" src="{$baseURL}/skins/{$sb_skin}/images/demo_publish.gif"/>
											</td>
											<td width="282px" valign="center">
												<table width="282px" cellspacing="0" cellpadding="0" border='0'>
													<tr>
														<td height="44px" width="16px" class="SB_Style_design_text">&#160;</td>
														<td height="44px" width="250px" class="SB_Style_design_text">
															<xsl:value-of select="/*/CONTENT-AREA/CONTENT/DEMOSTRING"/>
														</td>
														<td height="44px" width="16px" class="SB_Style_design_text">&#160;</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</xsl:when>
		<xsl:otherwise>
				<tr>
					<td bgcolor="white" valign="middle">
						<table width="100%" cellspacing="0" cellpadding="0" border='0'>
							<tr>
								<td colspan="2" align="center">
									<table border='0' cellspacing="0" cellpadding="0" width="90%">
										<xsl:if test="//WARNING-MESSAGE">
										<tr>
											<td colspan="2" align="center">
												<table border='0' cellspacing="5" cellpadding="0">
													<tr>
														<td>
															<table border='0' cellspacing="0" cellpadding="0">
																<tr>
																	<td width="70px" align="center"><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/demo_publish.gif"/></td>
																	<td width="282px" valign="center">
																		<table width="282px" cellspacing="0" cellpadding="0" border='0'>
																			<tr>
																				<td height="44px" width="16px" class="SB_Style_design_text">&#160;</td>
																				<td height="44px" width="250px" class="SB_Style_design_warning_text">
																					<xsl:value-of select="//WARNING-MESSAGE"/>
																				</td>
																				<td height="44px" width="16px" class="SB_Style_design_text">&#160;</td>
																			</tr>
																		</table>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td colspan="2"><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" height="10" width="1"/></td>
										</tr>
										</xsl:if>
										<xsl:if test="/*/CONTENT-AREA/CONTENT/PUBLISH/LEGEND/DESCRIPTION">
										<tr>
											<td colspan="2" align="center"><xsl:value-of select="/*/CONTENT-AREA/CONTENT/PUBLISH/LEGEND/DESCRIPTION" disable-output-escaping="yes"/></td>
										</tr>
										</xsl:if>
										<xsl:if test="/*/CONTENT-AREA/CONTENT/PUBLISH/PUBLISH-LOGIN/HELP-MESSAGE">
										<tr>
											<td colspan="2" class="SB_Style_pc_Border" align="left"><xsl:value-of select="/*/CONTENT-AREA/CONTENT/PUBLISH/PUBLISH-LOGIN/HELP-MESSAGE"/></td>
										</tr>
										</xsl:if>
										<xsl:if test="/*/CONTENT-AREA/CONTENT/PUBLISH/LEGEND/DESCRIPTIONSUSES">
										<tr>
											<td colspan="2" align="center"><xsl:value-of select="/*/CONTENT-AREA/CONTENT/PUBLISH/LEGEND/DESCRIPTIONSUSES"/>

											<xsl:if test="/*/CONTENT-AREA/CONTENT/PUBLISH/LEGEND/URL">
												&#160;<a target='_blank'>
												<xsl:attribute name="href"><xsl:value-of select="/*/CONTENT-AREA/CONTENT/PUBLISH/LEGEND/URL"/></xsl:attribute>
												<xsl:value-of select="/*/CONTENT-AREA/CONTENT/PUBLISH/LEGEND/URL"/>
												</a>
											</xsl:if>

											</td>
										</tr>
										</xsl:if>
										<xsl:if test="//CONTENT-AREA/CONTENT/PUBLISH/PUBLISH-LOGIN">
										<tr>
											<td colspan="2" align="center">
												<xsl:apply-templates select="//CONTENT-AREA/CONTENT/PUBLISH/PUBLISH-LOGIN"/>
												<script type='text/javascript' language='javascript'  src='{$baseURL}/js/publish.js'></script>
											</td>
										</tr>
										</xsl:if>
										<xsl:for-each select="/*/CONTENT-AREA/CONTENT/WARNING">
										<tr>
											<td colspan="2" align="center"><b><span class="SB_Style_AlertText"><xsl:value-of select="."/></span></b></td>
										</tr>
										</xsl:for-each>
									</table>
								</td>
							</tr>
						</table>
						<script type="text/javascript" language="javascript" >setIdent('<xsl:value-of select="/*/CONTENT-AREA/CONTENT/PUBLISH/IDENT"/>');</script>

					</td>
				</tr>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template match="CONTENT-AREA[@PAGEID='preview']">
	<tr>
		<td bgcolor="silver" valign="top">
			<xsl:apply-templates select="/*/CONTENT-AREA"/>
		</td>
	</tr>
</xsl:template>

<xsl:template match="CONTENT-AREA[@PAGEID='get_siteidentity']">
	<tr>
		<td valign="middle" align="center">
			<xsl:apply-templates select="/*/CONTENT-AREA"/>
		</td>
	</tr>
</xsl:template>


<xsl:template match="CONTENT-AREA[@PAGEID='edit']">
	<tr>
		<td valign="top" align="center">
			<xsl:call-template name="BODY-EDIT"/>
		</td>
	</tr>
</xsl:template>

<!--
////
-->
<xsl:template match="GET-SITEIDENTITY-FORM">
<xsl:variable name="cellsTotal">2</xsl:variable>
<xsl:variable name="siteIdentity" select="FIELD[@NAME='sb_site_identity']"/>
<form name="towizard_form" method="post" action="{$baseURL}/wizard/index.php" onsubmit="return false;">
<xsl:apply-templates select="HIDDEN"/>
<table cellpadding="5" cellspacing="0" width="310px" valign="top" border="0" align="center" ID="SB_Style_SITEIDENTITY_FORM">
<xsl:if test="HELP-TOOLTIP">
<tr>
<td class="SB_Style_pc_Border" align="left"><xsl:value-of select="HELP-TOOLTIP" disable-output-escaping="yes"/></td>
</tr>
<tr><td><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" height="10" width="1"/></td></tr>
</xsl:if>
<xsl:if test="$siteIdentity">
<tr><td class="SB_Style_formtitle"><b><xsl:value-of select="$siteIdentity/@TITLE"/>&#160;</b></td></tr>
<tr><td class="SB_Style_formfield">
<input type="text" id="site_identity" maxlength="255"
	style="width: 315px;"
	name="{$siteIdentity/@NAME}"
	size="{$siteIdentity/@SIZE}"
	value="{$siteIdentity/@VALUE}"
	onchange="javascript: document.forms[0].sb_submit.value=1">
	<xsl:call-template name="setTabIndex"/>
</input></td></tr>
</xsl:if>
<tr><td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10'/></td></tr>
</table>
<xsl:if test="$siteIdentity">
<script type="text/javascript" language="javascript">
document.forms[0].sb_site_identity.focus();
</script>
</xsl:if>
</form>
</xsl:template>
<!--
///////
-->

<!--
///////
-->
<xsl:template match="PREVIEW-AREA">
<iframe frameborder="1" id="contentFrame"
scrolling="auto" height="100%" width="100%"
marginheight="5" marginwidth="5" src="{@SRC}"/>
</xsl:template>
<!--
///////
-->



<xsl:template match="PUBLISH">
<xsl:value-of select="LEGEND/DESCRIPTION" disable-output-escaping="yes"/>
<xsl:for-each select='WARNING'>
<b><xsl:value-of select="." /><br/></b>
</xsl:for-each>
<xsl:if test='BUTTON'>
<br/><br/>
<xsl:call-template name="drawButton">
<xsl:with-param name="name" select="BUTTON/@NAME"/>
<xsl:with-param name="onClick">document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select="BUTTON/@CAPTION"/>
</xsl:call-template>
</xsl:if>
</xsl:template>

<xsl:template match="WARNING" mode="publish-login">
<xsl:value-of select="."/><xsl:if test="position()!=last()">;<xsl:text> </xsl:text></xsl:if>
</xsl:template>
<!--
/////
-->

<xsl:template match="PUBLISH-LOGIN[@TYPE='REGULAR']">
<xsl:if test="WARNING">
<br/>
<table  class="SB_Style_publish_login_warning" cellpadding="0" cellspacing="0" width="100%" >
<tr><td align="center">
<table border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td align="left" width="1%"><img src="{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif"/></td>
<td align="left" width="99%"><xsl:apply-templates select="WARNING" mode="publish-login"/></td>
</tr>
</table>
</td></tr>
</table>
<br/></xsl:if>
<form>
<xsl:apply-templates select="GUI-FORM/GUI-FORM-ATTRIBUTE"/>
<table cellpadding="3" cellspacing="0" valign="top" border="0" width="100%" align="center">
<tr><td colspan="6"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10" border="0"/>&#160;</td></tr>
	<tr><td>
		<table cellpadding="0" cellspacing="1" width="10%" valign="top" border="0" align="center" >
    		<xsl:apply-templates select="GUI-FORM/GUI-CONTROL[@MODE='HIDDEN']"/>
    		<xsl:apply-templates select="GUI-FORM/GUI-CONTROL[@MODE!='BUTTON' and @MODE!='HIDDEN']"/>
		</table>
	</td></tr>
	<tr>
		<td align="center"><xsl:apply-templates select="GUI-FORM/GUI-CONTROL[@MODE='BUTTON']|GUI-BUTTONS-LIST"/></td>
	</tr>
</table>
</form>
</xsl:template>

<xsl:template match="GUI-CONTROL[@MODE ='TEXT_PUBLISH']" >
<xsl:param name="domainname"></xsl:param>
  	<td class="SB_Style_predefpages" nowrap="nowrap" align="right">
  		<input class="SB_Style_gen_title1">
  			<xsl:if test="@MODE">
  				<xsl:attribute name = "TYPE"><xsl:value-of select = "@MODE" /></xsl:attribute>
  			</xsl:if>
  			<xsl:apply-templates select="GUI-CONTROL-ATTRIBUTE"/>
  		</input>&#160;.<xsl:value-of select="$domainname"/>
  	</td>
</xsl:template>


<xsl:template match="PUBLISH-LOGIN[@TYPE='TRIAL']">
<xsl:variable name="linktosite" select="/*/CONTENT-AREA/CONTENT/PUBLISH/LINKTOSITE"/>
<xsl:variable name="domainname" select="/*/CONTENT-AREA/CONTENT/PUBLISH/DOMAIN-NAME"/>
<form>
<xsl:apply-templates select="GUI-FORM/GUI-FORM-ATTRIBUTE"/>
<xsl:apply-templates select="GUI-FORM/GUI-CONTROL[@MODE='HIDDEN']"/>
<table cellpadding="3" cellspacing="0" valign="top" border="0" width="100%" align="center">
<tr>
	<td class="SB_Style_formfield"  nowrap="nowrap" align="center">
		<table border="0" width="50%">
	    <xsl:call-template name="SHIFT"/>
			<tr>
    			<xsl:apply-templates select="GUI-FORM/GUI-CONTROL[@MODE='TEXT_PUBLISH']">
				   <xsl:with-param name='domainname'><xsl:value-of select="$domainname"/></xsl:with-param>
				</xsl:apply-templates>
				<td width="20">&#160;&#160;&#160;</td>
				<td class="SB_Style_pc_Border"><img src="{$baseURL}/skins/{$sb_skin}/images/blue.gif" width="1" height="20" /></td>
				<td width="20">&#160;&#160;&#160;</td>
				<td align="left"><xsl:apply-templates select="BUTTON[@NAME='publish_change_si']"/></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
<td style="height:7px;">&#160;</td>
</tr>
<xsl:if test="/*/CONTENT-AREA/CONTENT/PUBLISH/LEGEND/HOSTINGBODY">
<tr>
<td align="center">
<table width="50%" cellspacing="0" cellpadding="0" border="0">
<tr>
<td>
<xsl:value-of select="/*/CONTENT-AREA/CONTENT/PUBLISH/LEGEND/HOSTINGBODY" disable-output-escaping="yes"/>
</td>
</tr>
<tr>
<td align="center">
<br/>
<table width="10%" cellspacing="0" cellpadding="0" border="0">
<tr>
<xsl:apply-templates select="BUTTON[@NAME='publish_email_me']" mode="form"/>
<td>&#160;&#160;&#160;&#160;&#160;&#160;</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</xsl:if>
</table>
</form>
</xsl:template>

<xsl:template match="ITEM" mode="list">
<option value="{@VALUE}">
	<xsl:if test="@SELECTED='1'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
	<xsl:value-of select="."/>
</option>
</xsl:template>



<xsl:template name="PAGE-CONTENT">
	<table id="pageContent" border="0" cellpadding="0" cellspacing="0" width="100%">
		<xsl:apply-templates select="CONTENT-AREA"/>
	</table>
</xsl:template>

<xsl:template match="CONTENT-AREA[@PAGEID='overview']">
	<tr>
		<td valign="middle">
			<table align="center" border="0" cellpadding="0" cellspacing="0" width="90%" height="100%">
				<tr>
					<td  style="vertical-align: top; padding-top: 20px" height="10px">
						<table class="SB_Style_overview_table" cellpadding="6" cellspacing="0" width="100%">
							<tr><td align="right"><xsl:apply-templates select="CONTENT/GUI-FORM[@TYPE='langs']"/></td></tr>
						</table>
					</td>
				</tr>
				<tr>
					<td  style="vertical-align: top; padding-top: 20px">
						<table align="center" border="0" cellpadding="3" cellspacing="0" width="100%" height="100%">
							<tr>
								<xsl:apply-templates select="CONTENT/OVERVIEW-STEP"/>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</xsl:template>

<xsl:template match="OVERVIEW-STEP">
	<td valign="top">
		<table class="SB_Style_overview_table" cellpadding="6" cellspacing="0"  height="80%" border="0">
			<xsl:if test='ENABLED="TRUE"'>
				<xsl:attribute name="style">cursor: pointer; cursor: hand;</xsl:attribute>
				<xsl:attribute name="onclick">document.location.href='<xsl:value-of select="$baseURL"/>/wizard/index.php?mode=<xsl:value-of select="NAME"/>'</xsl:attribute>
			</xsl:if>
			<tr>
				<td>
					<table class="SB_Style_overview_table_inside" align="center" border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
						<tr>
							<td valign="middle" align="center"><img border="0"><xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/<xsl:value-of select="IMAGE"/></xsl:attribute></img></td>
						</tr>
						<tr>
							<td class="SB_Style_overview_title" align="center"><xsl:value-of select="TITLE"/></td>
						</tr>
						<tr>
							<td class="SB_Style_overview_BG" height="90px" valign="middle" align="center" colspan="2"><xsl:value-of select="INFO"/></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</td>
</xsl:template>

<xsl:template match="GUI-FORM[@TYPE='langs']">
	<table border="0" cellpadding="5" cellspacing="0"  class="SB_Style_formcell1" width="100%">
    	<form>
    		<xsl:apply-templates select="GUI-FORM-ATTRIBUTE"/>
    		<xsl:call-template name="AUTOCOMPLETE"/>
    		<xsl:apply-templates select="GUI-CONTROL[@MODE='HIDDEN']"/>
    		<tr><td align="right">
            		<xsl:apply-templates select="GUI-CONTROL[@MODE='SELECT']" mode="simple"/>

<!--


<xsl:apply-templates select="GUI-SIMPLE-INPUT"/> -->
    		</td></tr>
    	</form>
	</table>
</xsl:template>


<xsl:template match="CONTENT-AREA[@PAGEID='design']">
		<tr>
			<td valign="top" width="131" class="SB_Style_pcBG">
				<!--  MENU -->
				<xsl:apply-templates select="BTN-MENU"/>
				<!--  MENU -->
				<br/>
			</td>
			<td bgcolor="white" width="99%" valign="top">
				<xsl:apply-templates select="CONTENT/*"/>
<!--				<xsl:apply-templates select="CONTENT/*" mode="design"/>  -->
			</td>
		</tr>
</xsl:template>


<xsl:template match="CONTENT-AREA[@PAGEID='pages']">
		<tr>
			<td width="110" class="SB_Style_pcBG"  align='center' valign="top">
				<!--  MENU -->
				<xsl:apply-templates select="BTN-MENU"/>
				<!--  MENU -->
				<br/>
			</td>

			<td bgcolor="white" width="99%" valign="top">
				<xsl:apply-templates select="CONTENT/*"/>
		</td>
	</tr>
</xsl:template>


</xsl:stylesheet>